package cmd

import (
	"github.com/spf13/cobra"
	"yizhisec.com/hsv2/forge/internal/controller/maker"
)

func makeLonghorn() *cobra.Command {
	var (
		replicaCount int
	)

	_cmd := &cobra.Command{
		Use:   "longhorn",
		Short: "Build Longhorn resources",
		Long:  `Build and prepare Longhorn storage resources.`,
		RunE: func(cmd *cobra.Command, args []string) error {
			mk := maker.NewMaker()
			return mk.Longhorn(cmd.Context(), replicaCount)
		},
	}

	_cmd.Flags().IntVar(&replicaCount, "replica-count", 2, "存储副本数")

	return _cmd
}
